@echo Off
If Exist ..\XWINGA~1.exe goto :warn

goto :wrongver

:warn
Echo ======================================================
Echo WARNING: This Patch will modify your XWA files.
Echo ======================================================
Echo The EH, TAC, SCO or Creator of this patch take no 
Echo responsibility for any damage incured to your systems 
Echo or data. You agree that any and all responsibilty for 
Echo any damages incurred is your own. This patch is not 
Echo created, distrubuted or supported in any way by Lucas 
Echo Arts Entertainment Company. Use at your own risk.
Echo ======================================================

choice I have read and agree with the above disclaimer 
If errorlevel == 2 goto :end
If errorlevel == 1 goto :cont


:cont
If Exist ..\XWINGA~1.exe goto :202

goto :wrongver

:202
rem ============================================
rem XWA 2.02 Back up routines.
rem ============================================

If exist Back.AST goto :202preback

md BACKUP
cd Backup
md AST
cd..

copy ..\SHIPLIST.TXT Backup\AST
copy ..\STRINGS.TXT Backup\AST
copy ..\SPECDESC.TXT Backup\AST
copy ..\XWINGA~1.EXE Backup\AST
copy "..\FLIGHTMODELS\SPACECRAFT0.LST" Backup\AST
if exist "..\xwa.tab" copy "..\xwa.tab" Backup\AST
if exist "..\xwa.tab" del "..\xwa.tab"

echo AST backup, do no delete. >> Back.AST

goto :202next

:202preback
Echo =======================
Echo Backup already exists. 
Echo Skipping Backing up.
Echo =======================    
Pause

:202next
copy ASTpatch\AST.202 .. /y
copy ASTpatch\Tiepatch.exe .. /y
copy ASTpatch\*.opt "..\FLIGHTMODELS" /y

cd ASTpatch

rem == shiplist.txt ==
header ..\..\shiplist.txt 214 0 > ..\..\shiplist.new
type shiplist.1>> ..\..\shiplist.new
header ..\..\shiplist.txt 100 215 >> ..\..\shiplist.new
del ..\..\shiplist.txt
ren ..\..\shiplist.new shiplist.txt

rem == spacecraft0.lst ==
header ..\..\Flightmodels\spacecraft0.lst 185 0 -pasteof > ..\..\Flightmodels\spacecraft0.new
type spacecraft0.1>> ..\..\Flightmodels\spacecraft0.new
header ..\..\Flightmodels\spacecraft0.lst 100 186 >> ..\..\Flightmodels\spacecraft0.new
del ..\..\Flightmodels\spacecraft0.lst
ren ..\..\Flightmodels\spacecraft0.new spacecraft0.lst
isblank ..\..\Flightmodels\spacecraft0.lst 154
isblank ..\..\Flightmodels\spacecraft0.lst 155
isblank ..\..\Flightmodels\spacecraft0.lst 156
isblank ..\..\Flightmodels\spacecraft0.lst 157
isblank ..\..\Flightmodels\spacecraft0.lst 158
isblank ..\..\Flightmodels\spacecraft0.lst 159
isblank ..\..\Flightmodels\spacecraft0.lst 160
isblank ..\..\Flightmodels\spacecraft0.lst 161
isblank ..\..\Flightmodels\spacecraft0.lst 162
isblank ..\..\Flightmodels\spacecraft0.lst 163
isblank ..\..\Flightmodels\spacecraft0.lst 164
isblank ..\..\Flightmodels\spacecraft0.lst 165
isblank ..\..\Flightmodels\spacecraft0.lst 166
isblank ..\..\Flightmodels\spacecraft0.lst 167
isblank ..\..\Flightmodels\spacecraft0.lst 168
isblank ..\..\Flightmodels\spacecraft0.lst 169
isblank ..\..\Flightmodels\spacecraft0.lst 170
isblank ..\..\Flightmodels\spacecraft0.lst 171
isblank ..\..\Flightmodels\spacecraft0.lst 172
isblank ..\..\Flightmodels\spacecraft0.lst 173
isblank ..\..\Flightmodels\spacecraft0.lst 174
isblank ..\..\Flightmodels\spacecraft0.lst 175
isblank ..\..\Flightmodels\spacecraft0.lst 176
isblank ..\..\Flightmodels\spacecraft0.lst 177
isblank ..\..\Flightmodels\spacecraft0.lst 178
isblank ..\..\Flightmodels\spacecraft0.lst 179
isblank ..\..\Flightmodels\spacecraft0.lst 180
isblank ..\..\Flightmodels\spacecraft0.lst 181
isblank ..\..\Flightmodels\spacecraft0.lst 182
isblank ..\..\Flightmodels\spacecraft0.lst 183
isblank ..\..\Flightmodels\spacecraft0.lst 184

rem ==Specdesc.txt==
header ..\..\specdesc.txt 1075 0 > ..\..\specdesc.new
type specdesc.1>> ..\..\specdesc.new 
header ..\..\specdesc.txt 500 1080 >> ..\..\specdesc.new
del ..\..\specdesc.txt
ren ..\..\specdesc.new specdesc.txt

rem ==Strings.txt==
header ..\..\strings.txt 2214 0 > ..\..\strings.new
type strings.1>> ..\..\strings.new
header ..\..\strings.txt 227 2215 >> ..\..\strings.new
type strings.2>> ..\..\strings.new
header ..\..\strings.txt 229 2443 >> ..\..\strings.new
type strings.3>> ..\..\strings.new
header ..\..\strings.txt 5500 2673 >> ..\..\strings.new
del ..\..\strings.txt
ren ..\..\strings.new strings.txt

cd ..

Goto :202inst

rem ================================
rem Routines to install .exe patch's
rem ================================

:202inst

cd..

tiepatch AST.202
del AST.202
del tiepatch.exe

goto :end

rem =========
rem Warnings:
rem =========

:wrongver
echo ======================================
echo ERROR:
echo Your Version of XWA appears to be 
echo incomplete, or of an unkown version
echo ======================================
echo Please check the Science Office FAQ.
echo ======================================
pause

goto :end

:end
